Name:           libXxf86dga
Version:        1.1.4
Release:        16
Summary:        Client library for the XFree86-DGA extension
License:        MIT
URL:            https://www.x.org
Source0:        https://www.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2

BuildRequires:  autoconf automake libtool libXext-devel pkgconfig
BuildRequires:  xorg-x11-util-macros xorg-x11-proto-devel libX11-devel
Requires:       libX11

%description
Client library for the XFree86-DGA extension

%package        devel
Summary:        Development package for libXxf86dga
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains development files for %{name}.

%package_help

%prep
%autosetup -n %{name}-%{version}

%build
autoreconf -ivf
%configure
%make_build

%install
%make_install INSTALL="install -p"
%delete_la

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%license COPYING
%{_libdir}/*.so.*


%files          devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/*.pc
%{_includedir}/X11/extensions/*.h

%files          help
%defattr(-,root,root)
%doc README
%{_mandir}/man3/*.3*

%changelog
* Sat Oct 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.1.4-16
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:change the directory of the license file

* Thu Sep 05 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.1.4-15
- Type:enhance
- ID:NA
- SUG:NA
- DESC:new rule

* Mon Aug 12 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.1.4-14
- Package init
